Package org.flowable.bpmn.model

# Class ConditionalEventDefinition

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.EventDefinition
org.flowable.bpmn.model.ConditionalEventDefinition

All Implemented Interfaces:
  `HasExtensionAttributes`

public class ConditionalEventDefinition extends EventDefinition

Author:
  Tijs Rademakers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `conditionExpression`
  `protected String`
  `conditionLanguage`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConditionalEventDefinition()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConditionalEventDefinition`
  `clone()`
  `String`
  `getConditionExpression()`
  `String`
  `getConditionLanguage()`
  `void`
  `setConditionExpression(String conditionExpression)`
  `void`
  `setConditionLanguage(String conditionLanguage)`
  `void`
  `setValues(ConditionalEventDefinition otherDefinition)`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### conditionExpression

    protected String conditionExpression

  - ### conditionLanguage

    protected String conditionLanguage

- ## Constructor Details

  - ### ConditionalEventDefinition

    public ConditionalEventDefinition()

- ## Method Details

  - ### getConditionExpression

    public String getConditionExpression()

  - ### setConditionExpression

    public void setConditionExpression(String conditionExpression)

  - ### getConditionLanguage

    public String getConditionLanguage()

  - ### setConditionLanguage

    public void setConditionLanguage(String conditionLanguage)

  - ### clone

    public ConditionalEventDefinition clone()
    Specified by:
      `clone` in class `EventDefinition`

  - ### setValues

    public void setValues(ConditionalEventDefinition otherDefinition)